﻿function event::onChannelText(prefix, channel, text) {
	if (channel.match(/^#幻想ノ宴/) || channel.match(/^#FFO/)) {

	// 参加表明用のスクリプト
		if( text.match(/^＠参加$/) || text.match(/^@参加$/) ){


			// 日付を取得してファイル名に利用
			var d = new Date();
			var month = d.getMonth() + 1;	// 月は0～11で表されるので+1
			var day = d.getDate();
			if(month < 10){	month = '0' + month;	}
			if(day < 10){	day = '0' + day;	}
			var filename = 'list' + month.toString() + day.toString() + '.txt';

			// ファイルオープン [書き込み可でコードはUTF-8]
			var file = openFile(filename, false, 65001);

			// 参加未申請の判断
			var name = file.readAll();
			if(name.match(prefix.nick)){	// 参加申請済み
				send(channel, prefix.nick + 'さんは参加受付が完了しています。');
				file.close();
				return;

			}else{	// 参加未申請

				// 参加確認メッセージの表示
				send(channel, prefix.nick + 'さんの参加を受け付けました。');
				// 参加者のニックネームをファイルに書き込み
				file.seekToEnd();	// ファイルの末尾に移動
				file.writeLine(prefix.nick);

				// 先頭に持って行くために、一旦ファイルをクローズ
				file.close();

				// 再びファイルのオープン
				file = openFile(filename, true, 65001);

				// トピックの更新
				var lines = [];
				var s;
				while (s = file.readLine()) {
					lines[lines.length] = s;
				}
				var topic_mes = '大会参加受付中。参加希望者は「＠参加」と発言してください。現在参加者は';
				topic_mes += lines.length.toString();
				topic_mes += '人';
				topic(channel, topic_mes);

				// ファイルのクローズ
				file.close();
			}
		}
	}
}